Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.nds.dirxml.driver.xds.XDSException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XDSParameterException, XDSParseException

public class XDSException
extends Exception

Exceptions thrown from this package that must be handled.

See Also:
  Serialized Form

Constructor Summary
`XDSException()` Creates a new XDSException object.
`XDSException(String message)` Creates a new XDSException object.

Method Summary
`XDSException` | `getNextException()` Returns the next exception in the exception chain.
`void` | `setNextException(XDSException e)` Sets the next exception in the exception chain.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XDSException

    public XDSException(String message)

  Creates a new XDSException object.

Parameters:
  `message` - must not be `null`

### XDSException

    public XDSException()

  Creates a new XDSException object.

Method Detail

### setNextException

    public void setNextException(XDSException e)

  Sets the next exception in the exception chain.

  Parameters:
    `e` - may be `null`

### getNextException

    public XDSException getNextException()

  Returns the next exception in the exception chain.

  Returns:
    may return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD